lasdt(3)

NAME
lasdt - lasdt: D&C step: tree

SYNOPSIS

  Functions
subroutine dlasdt (n, lvl, nd, inode, ndiml, ndimr, msub)
DLASDT creates a tree of subproblems for bidiagonal divide and conquer. Used by sbdsdc.
subroutine slasdt (n, lvl, nd, inode, ndiml, ndimr, msub)
SLASDT creates a tree of subproblems for bidiagonal divide and conquer. Used by sbdsdc.

Detailed Description

Function Documentation

  subroutine dlasdt (integer n, integer lvl, integer nd, integer, dimension( * ) inode, integer, dimension( * ) ndiml, integer, dimension( * ) ndimr, integer msub)

DLASDT creates a tree of subproblems for bidiagonal divide and conquer. Used by sbdsdc.

Purpose:

     DLASDT creates a tree of subproblems for bidiagonal divide and
     conquer.

Parameters
    N

              N is INTEGER
              On entry, the number of diagonal elements of the
              bidiagonal matrix.

    LVL

              LVL is INTEGER
              On exit, the number of levels on the computation tree.

    ND

              ND is INTEGER
              On exit, the number of nodes on the tree.

    INODE

              INODE is INTEGER array, dimension ( N )
              On exit, centers of subproblems.

    NDIML

              NDIML is INTEGER array, dimension ( N )
              On exit, row dimensions of left children.

    NDIMR

              NDIMR is INTEGER array, dimension ( N )
              On exit, row dimensions of right children.

    MSUB

              MSUB is INTEGER
              On entry, the maximum row dimension each subproblem at the
              bottom of the tree can be of.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ming Gu and Huan Ren, Computer Science Division, University of California at Berkeley, USA

Definition at line 104 of file dlasdt.f.

  subroutine slasdt (integer n, integer lvl, integer nd, integer, dimension( * ) inode, integer, dimension( * ) ndiml, integer, dimension( * ) ndimr, integer msub)

SLASDT creates a tree of subproblems for bidiagonal divide and conquer. Used by sbdsdc.

Purpose:

     SLASDT creates a tree of subproblems for bidiagonal divide and
     conquer.

Parameters
    N

              N is INTEGER
              On entry, the number of diagonal elements of the
              bidiagonal matrix.

    LVL

              LVL is INTEGER
              On exit, the number of levels on the computation tree.

    ND

              ND is INTEGER
              On exit, the number of nodes on the tree.

    INODE

              INODE is INTEGER array, dimension ( N )
              On exit, centers of subproblems.

    NDIML

              NDIML is INTEGER array, dimension ( N )
              On exit, row dimensions of left children.

    NDIMR

              NDIMR is INTEGER array, dimension ( N )
              On exit, row dimensions of right children.

    MSUB

              MSUB is INTEGER
              On entry, the maximum row dimension each subproblem at the
              bottom of the tree can be of.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ming Gu and Huan Ren, Computer Science Division, University of California at Berkeley, USA

Definition at line 104 of file slasdt.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.